Skip to main content
POST
/
v1
/
rewards
/
sponsorships
Error
A valid request URL is required to generate request examples
{
  "id": 0,
  "marketId": 0,
  "txId": "<string>",
  "sponsorAddress": "<string>",
  "totalAmount": "<string>",
  "dailyAmount": "<string>",
  "remainingAmount": "<string>",
  "days": 0,
  "startTs": 0,
  "endTs": 0
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
marketId
integer
required

Market being sponsored.

Required range: x <= 9007199254740991
txId
string
required

On-chain tx id of the USDT transfer to the treasury.

Pattern: ^(0x)?[0-9a-fA-F]+$
days
integer
required

Sponsorship duration in days (1..365).

Required range: 1 <= x <= 365

Response

Default Response

id
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
marketId
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
status
enum<string>
required
Available options:
pending,
active,
completed,
refunded,
cancelled
txId
string
required
sponsorAddress
string
required
totalAmount
string
required

Verified on-chain USDT amount (decimal string). "0" until verified.

dailyAmount
string
required
remainingAmount
string
required
days
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
startTs
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
endTs
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991